using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;
using Microsoft.Xna.Framework.Net;
using Microsoft.Xna.Framework.Storage;

using XNACS1Lib;

namespace ClassExample
{
    public class Game1 : XNACS1Base
    {
        XNACS1ParticleEmitter.FireEmitter campFire;
        HaloEmitter halo;

        protected override void InitializeWorld()
        {
            World.SetBackgroundColor(Color.Black);

            campFire = new XNACS1ParticleEmitter.FireEmitter(new Vector2(20, 10), 30, .5f, "Particle001", Color.OrangeRed, 20, 3, Vector2.One);
            campFire.ParticlesPerEmit = 5;

            halo = new HaloEmitter(new Vector2(55, 35), 15, .4f, "Particle001", Color.Green, 3);
        }

        protected override void UpdateWorld()
        {
            halo.DrawHalo(30);

            halo.Center += GamePad.ThumbSticks.Left;
            campFire.Center += GamePad.ThumbSticks.Right;
        }
    }
}
